#!/usr/bin/perl

use Pod::Coverage;

foreach my $package ( @ARGV ) {
    my $checker = Pod::Coverage->new(
        package => $package
        );

    my $rating = $checker->coverage;

    if( $rating == 1 ) {
        print "$package gets a perfect score!\n\n";
        }
    elsif( defined $rating ) {
        print "$package gets a rating of ", $checker->coverage, "\n",
            "Uncovered functions:\n\t",
            join( "\n\t", sort $checker->uncovered ),
            "\n\n";
        }
    else {
        print "$package can't be rated: ", $checker->why_unrated, "\n";
        }
    }