#!/usr/bin/perl
# make_prime_vec.pl
use v5.10;

use Math::Prime::XS qw(is_prime);

my $MAX = $ARGV[0] || 1_000_000;
my $bit_string = '';

vec( $bit_string, $MAX, 1 ) = 0;

foreach ( 1 .. $MAX ) {
    vec( $bit_string, $_, 1 ) = 1 if is_prime( $_ );
    }
say '$bit_string is ' . length($bit_string) . ' bytes';

open my $fh, '>:raw', 'primes.vec';
print { $fh } $bit_string;
close $fh;